/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

/* Theme elementor color start */

/* primary            var( --e-global-color-primary ) */
/* secondary          var( --e-global-color-secondary ) */
/* text               var( --e-global-color-text ) */
/* accent             var( --e-global-color-accent ) */

/* Theme Light        var( --e-global-color-79eba45 ) */
/* Theme Dark         var( --e-global-color-49646c1 ) */
/* Primary Hover      var( --e-global-color-84f8e86 ) */
/* Border Light       var( --e-global-color-14ad32f ) */
/* Primary Light      var( --e-global-color-3a0b53a ) */
/* Footer Light       var( --e-global-color-cc875d1 ) */

/* Theme elementor color end */

/* Global css start */

p:last-child { margin-bottom: 0 !important; }

.elementor-button-icon svg path,
.elementor-icon svg path { transition: all 0.3s ease !important; }

.icon_center .elementor-icon { display: flex; }

.elementor-button { transition: all 0.3s ease !important; }

.gradient_bg_1 { background: linear-gradient(135deg, #ffffff 0%, #f0f9ff 50%, #e0f2fe 100%) !important; } 
.colored_heading span { color: var( --e-global-color-primary ) !important; }

.linked_text a { transition: all 0.3s ease; color: var( --e-global-color-84f8e86 ); font-weight: 600 !important; }
.linked_text a:hover { color: var( --e-global-color-49646c1 ) !important; }

@media(max-width:1366px){
    
}

@media(max-width:1024px){
    
}

@media(max-width:768px){
    
}

/* Global css end */

/* Header start */

header .menu.wd-nav-main { gap: 30px !important; }

header .wd-nav-header > li:hover > a { color: var(--e-global-color-primary) !important; }

header .wd-nav:where(:not(.wd-dis-act))>li:where(.current-menu-item,.wd-active,.active)>a { color: var(--e-global-color-primary) !important; }

header .whb-general-header { border: 0 !important; }

/* Header end */

/* Page title start */

.page-title .container { align-items: center !important; flex-wrap: wrap !important; }

.page-title { position: relative !important; z-index: 1; display: flex; align-items: center; justify-content: center; padding: 60px 0px !important; }
.page-title::after { content: ""; position: absolute; width: 100%; height: 100%; background: var( --e-global-color-84f8e86 ); top: 0; left: 0; z-index: -1; opacity: 1; }
.page-title .entry-title {
	font-family: var( --e-global-typography-774a419-font-family ), Sans-serif !important;
    font-size: var( --e-global-typography-774a419-font-size ) !important;
    font-weight: var( --e-global-typography-774a419-font-weight ) !important;
    line-height: var( --e-global-typography-774a419-line-height ) !important;
    color: var( --e-global-color-79eba45 ) !important;
	text-align: center !important;
	word-break: break-word !important;
}

.page-title .wd-breadcrumbs { flex-wrap: nowrap !important; white-space: nowrap !important; overflow: auto !important; max-width: 100% !important; }
.page-title .wd-breadcrumbs a,
.page-title .wd-breadcrumbs span {
	font-family: var(--e-global-typography-text-font-family), Sans-serif !important;
    font-size: var(--e-global-typography-text-font-size) !important;
    font-weight: var(--e-global-typography-text-font-weight) !important;
    line-height: var(--e-global-typography-text-line-height) !important;
    word-spacing: var(--e-global-typography-text-word-spacing) !important;
	color: var( --e-global-color-cc875d1 ) !important;
}
.page-title .wd-breadcrumbs span.wd-last { font-weight: 600 !important; color: var( --e-global-color-79eba45 ) !important; }
.page-title .wd-breadcrumbs a:hover { color: var( --e-global-color-79eba45 ) !important; }

.elementor_page_title .entry-title { word-break: break-word !important; }

@media(max-width:1366px){
    
}

@media(max-width:1024px){
    .page-title .container { gap: 5px !important; }
}

@media(max-width:768px){
    .page-title { padding: 40px 0px !important; }
}

/* Page title end */

/* Home start */

.product_divisions_icon svg path { fill: var( --e-global-color-primary ) !important; }

.product_divisions_box:hover .product_divisions_icon svg path { fill: var( --e-global-color-79eba45 ) !important; }
.product_divisions_box .elementor-icon { transition: all 0.3s ease !important; }
.product_divisions_box:hover .elementor-icon { background-color: var( --e-global-color-primary ) !important; }

.brands_slider figure.swiper-slide-inner { padding: 20px; border: 0; border-radius: 12px; background-color: var( --e-global-color-79eba45 ); }
.brands_slider img.swiper-slide-image { height: 40px; width: auto; }
.brands_slider .swiper-wrapper { -webkit-transition-timing-function: linear !important; transition-timing-function: linear !important; }

.product_tab_wrapper .wd-tabs-header { border-radius: 12px !important; border: 1px solid var( --e-global-color-3a0b53a ); }
.product_tab_wrapper .wd-tabs-header a.wd-nav-link:hover { color: var( --e-global-color-text ); }
.product_tab_wrapper .wd-nav-tabs { width: 100%; justify-content: space-around; }
.product_tab_wrapper .wd-nav-tabs a { text-transform: capitalize !important; }

.product_tab_wrapper .wd-product-wrapper .wd-product-cats,
.product_tab_wrapper .wd-product-wrapper .wd-loop-prod-short-desc { display: none; }

.product_tab_wrapper .wd-product-wrapper .wd-loop-prod-title { text-align: center !important; } 

@media(max-width:1366px){
    .brands_slider img.swiper-slide-image { height: 35px; }
}

@media(max-width:1024px){
    .brands_slider img.swiper-slide-image { height: 30px; }
}

@media(max-width:768px){
    .brands_slider img.swiper-slide-image { height: 25px; }
}

/* Home end */

/* Enquiry Form start */

.enquiry_form .gform_heading { display: none !important; }

.enquiry_form .gform-field-label { font-family: var( --e-global-typography-text-font-family ), Sans-serif !important; font-size: 14px !important; font-weight: 600 !important; line-height: 24px !important; word-spacing: var(--e-global-typography-text-word-spacing); margin-bottom: 8px !important; color: var( --e-global-color-49646c1 ) !important; }

.enquiry_form input:not(.gfield-choice-input),
.enquiry_form select,
.enquiry_form textarea { border: 1px solid var( --e-global-color-14ad32f ) !important; border-radius: 8px !important; padding: 9px 16px 10px 16px !important; font-family: var( --e-global-typography-text-font-family ), Sans-serif !important; font-size: var( --e-global-typography-text-font-size ) !important; font-weight: var( --e-global-typography-text-font-weight ) !important; line-height: var( --e-global-typography-text-line-height ) !important; word-spacing: var(--e-global-typography-text-word-spacing); color: var( --e-global-color-49646c1 ) !important; box-shadow: unset !important; outline: none !important; transition: all 0.3s ease !important; }

.enquiry_form input:not(.gfield-choice-input):focus,
.enquiry_form select:focus,
.enquiry_form textarea:focus { border-color: var( --e-global-color-primary ) !important; box-shadow: 0 0 0 3px var( --e-global-color-3a0b53a ) !important; }

.enquiry_form textarea { height: 100px; min-height: 100px !important; }

.enquiry_form input:not(.gfield-choice-input),
.enquiry_form select { height: unset !important; }

.enquiry_form input::placeholder,
.enquiry_form select::placeholder,
.enquiry_form textarea::placeholder { color: var( --e-global-color-text ) !important; font-family: var( --e-global-typography-text-font-family ), Sans-serif !important; font-size: var( --e-global-typography-text-font-size ) !important; font-weight: var( --e-global-typography-text-font-weight ) !important; line-height: var( --e-global-typography-text-line-height ) !important; word-spacing: var(--e-global-typography-text-word-spacing); } 

.gform-theme--framework select:where(:not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):where(:not([multiple])):hover { background-image: var(--wd-form-chevron) !important; }
.enquiry_form select:focus { background-image: var(--wd-form-chevron) !important; }

.enquiry_form .ginput_address_city,
.enquiry_form .ginput_address_zip { padding-right: 12px !important; }
.enquiry_form .ginput_address_state,
.enquiry_form .ginput_address_country { padding-left: 12px !important; }

.enquiry_form .gform_fields { row-gap: 20px !important; column-gap: 24px !important; }

.enquiry_form .gfield--type-address .ginput_container { row-gap: 20px !important; }

.enquiry_form .gform-footer .gform_button { width: 100% !important; background-color: var( --e-global-color-primary ) !important; font-family: var( --e-global-typography-71804bc-font-family ), Sans-serif !important; font-size: var( --e-global-typography-71804bc-font-size ) !important; font-weight: var( --e-global-typography-71804bc-font-weight ) !important; line-height: var( --e-global-typography-71804bc-line-height ) !important; box-shadow: 0px 8px 24px 0px rgba(2, 132, 199, 0.25) !important; transition: all 0.3s ease !important; border: 2px solid rgba(255, 255, 255, 0) !important; border-radius: 100px !important; padding: 11px 22px 12px !important; color: var(--e-global-color-79eba45) !important; }

.enquiry_form .gform-footer .gform_button:hover,
.enquiry_form .gform-footer .gform_button:focus { background-color: var( --e-global-color-84f8e86 ) !important; color: var( --e-global-color-79eba45 ) !important; box-shadow: 0px 10px 24px 0px rgba(2, 132, 199, 0.35) !important; transform: translateY(-8px) !important; } 

@media(max-width:768px){

	.enquiry_form input:not(.gfield-choice-input),
    .enquiry_form select,
    .enquiry_form textarea { padding: 9px 16px 10px 16px !important; }
	
	.enquiry_form .gform-footer .gform_button { padding: 10px 20px 11px !important; }

}

@media(max-width:639px){
	.enquiry_form .ginput_address_city,
	.enquiry_form .ginput_address_zip,
	.enquiry_form .ginput_address_state,
	.enquiry_form .ginput_address_country { padding: 0px 6px !important; }
}

/* Enquiry Form end */

/* Contact Page start */

.contact_info_box.linked_text a { transition: all 0.3s ease; color: var( --e-global-color-secondary ) !important; font-weight: 400 !important; }
.contact_info_box.linked_text a:hover { color: var( --e-global-color-84f8e86 ) !important; }

.map_wrapper,
.map_wrapper .elementor-custom-embed,
.map_wrapper iframe { height: 100%; }


/* Contact Page end */

/* Shop page start */

.product_category_sidebar .nav-link-count { line-height: 20px !important; }

.product_category_sidebar ul.wd-nav-product-cat { flex-direction: column !important; width: 100% !important; }
.product_category_sidebar ul.wd-nav-product-cat li { border-bottom: 1px solid var(--e-global-color-14ad32f); padding-bottom: 20px; margin-bottom: 10px; }
.product_category_sidebar ul.wd-nav-product-cat li:last-child { padding: 0 !important; margin: 0 !important; border: 0 !important; }

.wd-product { height: 100% !important; }
.wd-product-wrapper { border-radius: 12px !important; border: 1px solid var(--e-global-color-14ad32f); overflow: hidden !important; height: 100% !important; box-shadow: 0px 6px 15px 0px rgba(11, 31, 58, 0.08); }
.wd-product-wrapper .wd-product-thumb { border-radius: 0 !important; margin: 0; }
.wd-product-wrapper .wd-product-thumb img { height: 270px; object-fit: cover; }
.wd-product-wrapper .wp-block-wd-container { padding: 20px; background-color: var(--e-global-color-3a0b53a); height: 100%; }

.wd-product-wrapper .wd-product-cats a,
.wd-product-wrapper .wd-product-cats span {
	font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: 14px;
    font-weight: var(--e-global-typography-text-font-weight);
    line-height: 24px;
    word-spacing: var(--e-global-typography-text-word-spacing);
	color: var( --e-global-color-secondary ); transition: all 0.3s ease !important;
}

.wd-product-wrapper .wd-product-cats a:hover { color: var( --e-global-color-primary ) !important; }

.wd-product-wrapper .wd-product-cats .wd-label { font-weight: 600 !important; color: var( --e-global-color-primary ) !important; }

.wd-product-wrapper .wd-loop-prod-title {
    font-family: var(--e-global-typography-1acdaa2-font-family), Sans-serif;
    font-size: 16px !important;
    font-weight: var(--e-global-typography-1acdaa2-font-weight);
    line-height: 26px !important;
    color: var(--e-global-color-primary);
}

.wd-product-wrapper .wd-loop-prod-short-desc {
	font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: 14px;
    font-weight: var(--e-global-typography-text-font-weight);
    line-height: 24px;
    word-spacing: var(--e-global-typography-text-word-spacing);
	color: var( --e-global-color-secondary );
}

@media(max-width:1366px){
	
	.wd-product-wrapper .wd-product-thumb img { height: 220px; }
	
}

@media(max-width:1024px){
	
	.product_category_sidebar ul.wd-nav-product-cat li { padding-bottom: 15px; margin-bottom: 12px; }
	
	.wd-product-wrapper .wd-product-thumb img { height: 290px; }
	
}

@media(max-width:890px){ .wd-product-wrapper .wd-product-thumb img { height: 250px; } }
@media(max-width:800px){ .wd-product-wrapper .wd-product-thumb img { height: 230px; } }

@media(max-width:768px){
	
	.wd-products.wd-grid-g { gap: 15px !important; }
	.wd-product-wrapper .wd-product-thumb img { height: 350px; }
	
}

@media(max-width:690px){ .wd-product-wrapper .wd-product-thumb img { height: 320px; } }
@media(max-width:632px){ .wd-product-wrapper .wd-product-thumb img { height: 290px; } }
@media(max-width:568px){ .wd-product-wrapper .wd-product-thumb img { height: 250px; } }
@media(max-width:508px){ .wd-product-wrapper .wd-product-thumb img { height: 220px; } }

@media(max-width:500px){
	
/* 	.wd-products.wd-grid-g { grid-template-columns: repeat(1, 1fr); }
	.wd-product-wrapper .wd-product-thumb img { height: unset;o bject-fit: unset; } */
	
	.wd-product-wrapper .wp-block-wd-container { padding: 15px; }
	
	.wd-product-wrapper .wd-product-cats a,
	.wd-product-wrapper .wd-product-cats span,
	.wd-product-wrapper .wd-loop-prod-short-desc { font-size: 12px; line-height: 20px; }
	
	.wd-product-wrapper .wd-loop-prod-title { font-size: 14px !important; line-height: 24px !important; }
	
}

@media(max-width:470px){ .wd-product-wrapper .wd-product-thumb img { height: 210px; } }
@media(max-width:430px){ .wd-product-wrapper .wd-product-thumb img { height: 190px; } }
@media(max-width:400px){ .wd-product-wrapper .wd-product-thumb img { height: 170px; } }
@media(max-width:370px){ .wd-product-wrapper .wd-product-thumb img { height: 160px; } }

/* Shop page end */

/* Single Product page start */

.single-product .wd-breadcrumbs.woocommerce-breadcrumb a:hover { color: var( --e-global-color-primary ) !important; }

.single-product .elementor-widget-woocommerce-product-meta .posted_in,
.single-product .elementor-widget-wd_single_product_content .elementor-widget-container p {
    font-family: var( --e-global-typography-text-font-family ), Sans-serif;
    font-size: var( --e-global-typography-text-font-size );
    font-weight: var( --e-global-typography-text-font-weight );
    line-height: var( --e-global-typography-text-line-height );
    word-spacing: var( --e-global-typography-text-word-spacing );
	color: var( --e-global-color-text );
}

.single-product .elementor-widget-woocommerce-product-meta .posted_in .detail-label { color: var( --e-global-color-primary ) !important; margin-right: 5px; }

.single-product .elementor-widget-woocommerce-product-meta .posted_in a:hover { color: var( --e-global-color-primary ) !important; } 

.single-product .elementor-widget-wd_single_product_content .elementor-widget-container { background-color: var( --e-global-color-79eba45 ) !important; padding: 16px 20px !important; border-radius: 12px !important; }

.single-product .woocommerce-product-gallery__image { background-color: var( --e-global-color-79eba45 ) !important; }

.wd-carousel-wrap .wd-product-wrapper { box-shadow: unset !important; }

.wd-carousel-container.wd-products .wd-nav-pagin-wrap { margin-top: 40px !important; }

.wd-carousel-container.wd-products .wd-nav-pagin-wrap .wd-nav-pagin-item span { background-color: var( --e-global-color-3a0b53a ) !important; border-color: var( --e-global-color-3a0b53a ) !important; }
.wd-carousel-container.wd-products .wd-nav-pagin-wrap .wd-nav-pagin-item.wd-active span { background-color: var( --e-global-color-primary ) !important; border-color: var( --e-global-color-primary ) !important; }

@media(max-width:768px){
	
	.wd-carousel-wrap .wd-carousel-item { padding: 0 7.5px !important; }
	
	.wd-carousel-container.wd-products .wd-nav-pagin-wrap { margin-top: 30px !important; }
	
}

/* .wd-carousel-wrap { align-items: fl; } */

/* Single Product page end */

/* privacy policy start */

.privacy_content .elementor-widget-text-editor p { margin-bottom: 10px; }
.privacy_content .elementor-widget-text-editor p:last-child { margin-bottom: 0; }

.privacy_content .elementor-widget-text-editor ul { padding: 0 0 16px 20px !important; }
.privacy_content .elementor-widget-text-editor ul:last-child { padding-bottom: 0 !important; }
.privacy_content .elementor-widget-text-editor ul li { margin-bottom: 5px !important; }
.privacy_content .elementor-widget-text-editor ul li:last-child { margin-bottom: 0px !important; }

.privacy_content .elementor-widget-text-editor a { transition: all 0.3s ease; color: var(--e-global-color-84f8e86); font-weight: 600 !important; }
.privacy_content .elementor-widget-text-editor a:hover { color: var( --e-global-color-49646c1 ) !important; }

/* privacy policy end */

/* Footer start */

footer .linked_text a { transition: all 0.3s ease; color: var( --e-global-color-cc875d1 ) !important; font-weight: 400 !important; }
footer .linked_text a:hover { color: var( --e-global-color-79eba45 ) !important; }

footer .footer_logo { filter: brightness(0) invert(1); }

/* Footer end */

/* color change in theme settings guide start */

/* primary hover chnages in theme settings */

/* typography - basic */
/* styles and colors - buttons */

/* color change in theme settings guide end */


























